Subject: Re: [PATCH net-next 1/9] net: marvell: prestera: Add router nexthops ABI

From: Jakub Kicinski <[email-masked]>
Date: Mon, 11 Jul 2022 20:22:48 -0700

On Sun, 10 Jul 2022 20:21:59 +0300 Yevhen Orlov wrote:
> @@ -591,6 +600,7 @@ void prestera_router_fini(struct prestera_switch *sw)
>  	unregister_fib_notifier(&init_net, &sw->router->fib_nb);
>  	unregister_inetaddr_notifier(&sw->router->inetaddr_nb);
>  	unregister_inetaddr_validator_notifier(&sw->router->inetaddr_valid_nb);
> +	kfree(sw->router->nhgrp_hw_state_cache);

Ah, you based it on top of the fix. We'll merge the fixes and -next on
Thursday so please wait until that happens. In the meantime you can
think of finding someone who could review the changes and speed things
up that way. You CCed a lot of Marvell and plvision people on these
but nobody from the community who actually works on routing offload...